Bug 1421274 - Is this ever going to be built?
Summary: Is this ever going to be built?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 19:56 UTC by James Hogarth
Modified: 2017-04-09 10:19 UTC (History)
2 users (show)

Fixed In Version: snapd-2.23.6-4.fc25 snapd-2.23.6-4.fc26 snapd-2.23.6-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-09 02:54:02 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2017-02-10 19:56:02 UTC
Description of problem:
Package doesn't exist in rawhide

So I was carrying out my daily redditing today when I came across this article:

https://kamikazow.wordpress.com/2017/02/09/adoption-of-flatpak-vs-snap/

The table surprised me as I remember the, occasionally contentious, debate surrounding it and the package review that even had to bounce to FESCO at one point which I had thought I remembered being approved.

A quick check of pkgdb and sure enough it's been a full 3 months since the package was approved but there's not even been a build in rawhide.

So what's happening? Is it still going to be built? 

I just did a checkout of the current source in dist-git and it built in a rawhide mock ...

Is this effectively orphaned?

Comment 1 Zygmunt Krynicki 2017-02-10 23:09:05 UTC
The package builds but was stuck on a SElinux policy appropriate for snapd to function. Neal Gompa was working on improving a custom piece of policy but this is a comped task and it takes some time.

This morning Neal found a way to make snapd work so we can refresh the package to the latest upstream release and see if it works. I very much want to support snappy on Fedora. If you want to help please reach out to either Neal or me (e.g. On #snappy on freenode) and we can describe the situation in more detail as well as try to help each other.

Comment 2 Fedora End Of Life 2017-02-28 11:15:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Update System 2017-03-31 19:34:47 UTC
snapd-2.23.6-1.fc26 snapd-glib-1.9-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 4 Fedora Update System 2017-03-31 19:37:42 UTC
snapd-glib-1.9-2.fc25 snapd-2.23.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 5 Fedora Update System 2017-03-31 19:40:23 UTC
snapd-glib-1.9-2.fc24 snapd-2.23.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 6 Fedora Update System 2017-04-01 23:22:37 UTC
snapd-2.23.6-2.fc24, snapd-glib-1.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 7 Fedora Update System 2017-04-01 23:25:22 UTC
snapd-2.23.6-2.fc25, snapd-glib-1.9-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 8 Fedora Update System 2017-04-02 00:52:06 UTC
snapd-2.23.6-2.fc26, snapd-glib-1.9-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 9 Fedora Update System 2017-04-02 00:55:55 UTC
snapd-2.23.6-3.fc26 snapd-glib-1.9-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 10 Fedora Update System 2017-04-02 00:58:09 UTC
snapd-2.23.6-3.fc24 snapd-glib-1.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 11 Fedora Update System 2017-04-02 00:58:50 UTC
snapd-2.23.6-3.fc25 snapd-glib-1.9-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 12 Fedora Update System 2017-04-03 02:20:56 UTC
snapd-2.23.6-3.fc24, snapd-glib-1.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 13 Fedora Update System 2017-04-03 02:20:58 UTC
snapd-2.23.6-3.fc25, snapd-glib-1.9-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 14 Fedora Update System 2017-04-03 03:51:28 UTC
snapd-2.23.6-3.fc26, snapd-glib-1.9-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 15 Fedora Update System 2017-04-05 13:37:46 UTC
snapd-2.23.6-4.fc26 snapd-glib-1.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 16 Fedora Update System 2017-04-05 13:39:24 UTC
snapd-2.23.6-4.fc25 snapd-glib-1.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 17 Fedora Update System 2017-04-05 13:40:48 UTC
snapd-2.23.6-3.fc24 snapd-glib-1.10-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 18 Fedora Update System 2017-04-05 19:53:41 UTC
snapd-2.23.6-3.fc24, snapd-glib-1.10-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce0fdd87a4

Comment 19 Fedora Update System 2017-04-05 19:53:42 UTC
snapd-2.23.6-4.fc25, snapd-glib-1.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37a7331620

Comment 20 Fedora Update System 2017-04-05 21:53:44 UTC
snapd-2.23.6-4.fc26, snapd-glib-1.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-261aa8c9f4

Comment 21 Fedora Update System 2017-04-09 02:54:02 UTC
snapd-2.23.6-4.fc25, snapd-glib-1.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-04-09 05:58:23 UTC
snapd-2.23.6-4.fc26, snapd-glib-1.10-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-04-09 10:19:53 UTC
snapd-2.23.6-3.fc24, snapd-glib-1.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.